$ErrorActionPreference = 'Stop';

$packageName= 'invantive-estate-for-windows'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Estate%20for%20Windows-22.1.24-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Estate%20for%20Windows-22.1.24-BETA.msi'
  softwareName = 'Invantive Estate for Windows'
  checksum = 'D07A1DE92BC34B7362015C5A59CF59744BC72F70A3B8F8E88CB63478DDCBF60E'
  checksumType = 'sha256'
  checksum64 = 'D07A1DE92BC34B7362015C5A59CF59744BC72F70A3B8F8E88CB63478DDCBF60E'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-estate-for-windows-22.1.24-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
